Subject: Bug#691681: synaptic>software sources>updates - notify me when a new ubuntu version

From: Olivier Antheaume <[email-masked]>
Date: Wed, 09 Jan 2013 19:53:24 +0100

Package: synaptic
Version: 0.75.13
Followup-For: Bug #691681

Dear Maintainer,

In configuration window "software sources" > "updates", there is the option:
"Notify me of a new Ubuntu version".
Default value is: "For any new version".

1- I would like to set this value to "Never", but it is broken. When I do so, I
have error message into konsole (see bellow), and the value is not saved.
2- Ubuntu should be renamed to Debian.

Outcome of this bug is that users have some times a popup telling them that
updates are avaible.
This is not usefull because they can't do this update.

---------
Konsole log:

Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-
packages/softwareproperties/gtk/SoftwarePropertiesGtk.py", line 466, in
on_combobox_release_upgrades_changed
    self.backend.SetReleaseUpgradesPolicy(i)
  File "/usr/lib/python2.7/dist-packages/dbus/proxies.py", line 145, in
__call__
    **keywords)
  File "/usr/lib/python2.7/dist-packages/dbus/connection.py", line 651, in
call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Python.IOError: Traceback
(most recent call last):
  File "/usr/lib/python2.7/dist-packages/dbus/service.py", line 707, in
_message_cb
    retval = candidate_method(self, *args, **keywords)
  File "/usr/lib/python2.7/dist-
packages/softwareproperties/dbus/SoftwarePropertiesDBus.py", line 243, in
SetReleaseUpgradesPolicy
    self.set_release_upgrades_policy(state)
  File "/usr/lib/python2.7/dist-
packages/softwareproperties/SoftwareProperties.py", line 212, in
set_release_upgrades_policy
    f = open(self.RELEASE_UPGRADES_CONF,"w")
IOError: [Errno 2] No such file or directory: '/etc/update-manager/release-
upgrades'

-- System Information:
Debian Release: 7.0
  APT prefers testing-updates
  APT policy: (500, 'testing-updates'), (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.6.11.01 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages synaptic depends on:
ii  hicolor-icon-theme  0.12-1
ii  libapt-inst1.5      0.9.7.7
ii  libapt-pkg4.12      0.9.7.7
ii  libatk1.0-0         2.4.0-2
ii  libc6               2.13-37
ii  libcairo2           1.12.2-2
ii  libept1.4.12        1.0.9
ii  libfontconfig1      2.9.0-7.1
ii  libfreetype6        2.4.9-1.1
ii  libgcc1             1:4.7.2-4
ii  libgdk-pixbuf2.0-0  2.26.1-1
ii  libglib2.0-0        2.33.12+really2.32.4-3
ii  libgtk2.0-0         2.24.10-2
ii  libpango1.0-0       1.30.0-1
ii  libstdc++6          4.7.2-4
ii  libvte9             1:0.28.2-5
ii  libx11-6            2:1.5.0-1
ii  libxapian22         1.2.12-2
ii  zlib1g              1:1.2.7.dfsg-13

Versions of packages synaptic recommends:
ii  gksu                     2.0.2-6
ii  libgtk2-perl             2:1.244-1
ii  policykit-1              0.105-3
ii  rarian-compat            0.8.1-5
ii  software-properties-gtk  0.82.7.1debian1

Versions of packages synaptic suggests:
ii  apt-xapian-index  0.45
pn  deborphan         <none>
pn  dwww              <none>
ii  menu              2.1.46

-- no debconf information